<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('purchasing_information', function (Blueprint $table) {
            $table->uuid('purchasing_information_id')->primary();
            $table->string('price');
            $table->string('timestamp_warranty_end');
            $table->string('timestamp_purchase');
            $table->string('cost_centre');
            $table->string('seller')->nullable();
            $table->foreignUuid('device_id')->references('device_id')->on('devices')->cascadeOnUpdate()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('purchasing_information');
    }
};
